'''
 ====================================================================
 Copyright (c) 2003-2015 Barry A Scott.  All rights reserved.

 This software is licensed as described in the file LICENSE.txt,
 which you should have received as part of this distribution.

 ====================================================================

    be_config.py

    Based on code from git WorkBench

'''
import wb_platform_specific

# point size and face need to chosen for platform
if wb_platform_specific.isWindows():
    face = 'Courier New'
    point_size = 8

elif wb_platform_specific.isMacOs():
    face = 'Monaco'
    point_size = 12

else:
    # for unix systems
    face = 'Courier'
    point_size = 12

diff_light_colour_normal = '#000000'
diff_light_colour_header = '#1919c0'

diff_light_colour_insert_line = '#008200'
diff_light_colour_delete_line = '#dc143c'
diff_light_colour_change_line = '#0000ff'

diff_light_colour_insert_char = '#008200'
diff_light_colour_delete_char = '#dc143c'
diff_light_colour_change_char = '#0000ff'

diff_dark_colour_normal = '#000000'
diff_dark_colour_header = '#ff88ff'

diff_dark_colour_insert_line = '#00c000'
diff_dark_colour_delete_line = '#f08080'
diff_dark_colour_change_line = '#80d0d0'

diff_dark_colour_insert_char = '#00c000'
diff_dark_colour_delete_char = '#f08080'
diff_dark_colour_change_char = '#80d0d0'
